import AddressList from "@/components/AddressList";
import Popup from "@/components/popup";
import { Text, View } from "@tarojs/components"
import classnames from "classnames";
import { useState } from "react";
import styles  from './index.module.scss'

export default () => {
    const [showAddressList, setShowAddressList] = useState(false)
    return (
        <View>
            <View className={styles.order_address} onClick={() => setShowAddressList(true)}>
                <View className={classnames(styles.order_address_icon, 'iconfont icon-shaixuan')}></View>
                {/* <View className={styles.order_address_text_no}>请选择收货地址及信息</View> */}
                <View className={styles.order_address_text_con}>
                    <View className={styles.order_address_text_title}>**省**市**区**街道****仓库**省**市**区**街道****仓库</View>
                    <View className={styles.order_address_text_name}>
                        <Text>陈先生</Text>
                        <Text>1818877790</Text>
                    </View>
                </View>
                <View className={classnames(styles.order_address_more_icon, 'iconfont icon-jiantou')}></View>
            </View>
            <Popup show={showAddressList} showTitle={false} onClose={() => setShowAddressList(false)}>
                <View className={styles.order_address_list}>
                    <View className={styles.order_address_title}>选择收货地址</View>
                    <AddressList onSelect={(item, index) => console.log(index, item)}/>
                </View>
            </Popup>
        </View>
    )
}