
import { goLink } from "@/common/common";
import Popup from "@/components/popup";
import { Button, Image, Text, Textarea, View } from "@tarojs/components"
import Taro, { chooseMedia } from "@tarojs/taro";
import { memo, useCallback, useState } from "react"
import "./index.scss"

export default ()=>{
  // 表单数据
  const [formData, setFormData] = useState({
    nickname: "麦兜"
  });
  
  // 显示popup
  const [popupShow,setPopupShow] = useState(false);
  const triggerList = useCallback((key:string)=>{
    setPopupShow(true);
  },[])

  // popup保存
  const handleTextareaSave = ()=>{

  }
  Taro.eventCenter.on('message:detail', (message) => console.log(message))
  // 面面跳转
  const onNavigate = (url:string)=>{
    goLink(url);
  }
  // 肖像编辑
  const handleSelectRortrait = ()=>{
    chooseMedia({
      count: 1,
      mediaType: ["image"],
      success(ev){
        console.log(ev);
        
      }
    })
  }

  return (
    <View className="user-edit">
      <View onClick={handleSelectRortrait} className="user-edit-portrait">
        <Image src="https://gimg2.baidu.com/image_search/src=http%3A%2F%2Fimg.jj20.com%2Fup%2Fallimg%2F1113%2F052420110515%2F200524110515-2-1200.jpg&refer=http%3A%2F%2Fimg.jj20.com&app=2002&size=f9999,10000&q=a80&n=0&g=0n&fmt=auto?sec=1652840455&t=6d2fd53931578ef6e213a929a77d059c"/>
        <View>点击编辑头像</View>
      </View>
      <View className="user-edit-content">
        <UserEditList onClick={()=>triggerList('nickname')} data={formData} label="昵称" placeholder="请输入" icon=""/>
        <UserEditList onClick={()=>onNavigate("/pages/company/index")} label="公司/组织" placeholder="请输入" icon=""/>
        <UserEditList onClick={()=>onNavigate("/pages/addressManager/index")} label="地址管理" placeholder="添加 / 修改收货地址" icon=""/>
        <UserEditList onClick={()=>onNavigate("/pages/weightList/index")} label="码单管理" placeholder="修改码单抬头 / 客户 / 电话等显示信息" icon=""/>
        <UserEditList label="完善资料" placeholder="完善资料加入会员，申请更多优惠" icon=""/>
        <UserEditList label="账号解绑" placeholder="解除账号与所属公司/组织的绑定关系" icon=""/>
      </View>
      <Button hoverClass="none" className="user-edit-logout">退出当前账号</Button>

      <PopupContent value="123" show={popupShow} setPopupShow={setPopupShow} save={handleTextareaSave}/>
    </View>
  )
}

// 列表
const UserEditList = memo((props:any)=>{
  return (
    <View onClick={props.onClick} className="user-edit-list">
      <View className="user-edit-list-left">
        {props.label}
      </View>
      <View className="user-edit-list-right">
        <View>
          <View className="user-edit-list-right-placeholder">{props.placeholder}</View>
          {/* 请输入 */}
        </View>
        <Text className="iconfont icon-a-moreback"></Text>
      </View>
    </View>
  )
})

// popup内容
const PopupContent = memo((props:any)=>{
  const [value, setValue] = useState("");
  // popup输入长度
  const handleTextareaInput = (ev:any)=>{
    setValue(ev.detail.value.slice(0,20));
  }
  // 重置
  const handleTextareaReset = ()=>{
    
  }
  return (
    <Popup onClose={()=>props.setPopupShow(false)} title="修改昵称" show={props.show}>
        <View className="user-edit-popup-content">
          <View className="user-edit-popup-input">
            <Textarea value={value} onInput={handleTextareaInput} maxlength={20}/>
            <Text>{value.length}/20</Text>
          </View>
          <Text className="user-edit-popup-tips">请设置2-20个字符，由中文、英文、数字、-和_组成</Text>
          <View className="user-edit-popup-operation">
            <Button onClick={handleTextareaReset} hoverClass="none" className="user-edit-popup-operation-reset">重置</Button>
            <Button onClick={props.save} hoverClass="none" className="user-edit-popup-operation-save">保存</Button>
          </View>
        </View>
      </Popup>
  )
})